const defaultSettings = {
    chatWidth: 300,
    highlightColor: '#FFEA9E'
};

chrome.storage.sync.get(defaultSettings, (settings) => {
    document.querySelector('#chatWidth').value = settings.chatWidth;
    document.querySelector('#highlightColor').value = settings.highlightColor;
});

document.querySelector('#saveButton').addEventListener('click', (event) => {
    settings = {
        chatWidth: document.querySelector('#chatWidth').value,
        highlightColor: document.querySelector('#highlightColor').value
    }

    chrome.storage.sync.set(settings, () => {
        console.log('Settings saved');
    });
}, false);
